# TVFLabs's Custom Currency
This mod adds 4 new cost types for people to use in their custom cards. I plan to add more over time.

### Features:
**5 New Cost Types:**
- **Skulls:** *You start a run with Skulls equal to your challenge points. You can't get them back, so spend them wisely.*
- **Bells:** *You gain a Bell every time you pass your turn.*
- **OLD_BITS:** *You get 1 OLD_BITS every time you visit the Woodcarver or the Bone Lord. OLD_BITS aren't reset after a battle.*
- **Mana:** *Works like Mana from Magic: the Gathering. You get mana from activating the Tap For Mana sigils. Mana is reset when you pass your turn.*
- **Generic Mox:** *Like Mox, except that any color pays for it.*

**5 New Sigils:**
- **Tap for White Mana:** *Activate: If this card does not have the Tapped sigil, you gain 1 white mana and this card gains the Tapped sigil.*
- **Tap for Blue Mana:** *Activate: If this card does not have the Tapped sigil, you gain 1 blue mana and this card gains the Tapped sigil.*
- **Tap for Black Mana:** *Activate: If this card does not have the Tapped sigil, you gain 1 black mana and this card gains the Tapped sigil.*
- **Tap for Red Mana:** *Activate: If this card does not have the Tapped sigil, you gain 1 red mana and this card gains the Tapped sigil.*
- **Tap for Green Mana:** *Activate: If this card does not have the Tapped sigil, you gain 1 green mana and this card gains the Tapped sigil.*

### How to Use:
- **JSON Loader:**
```
"extensionProperties": {
  "SkullsCost": "2",
  "BellsCost": "4",
  "OldBitsCost": "1"
  "ManaCost": "1ub"
  "GenericMoxCost": "true"
}
"abilities": [
  "tvflabs.inscryption.CustomCurrency.Tap For White Mana",
  "tvflabs.inscryption.CustomCurrency.Tap For Blue Mana",
  "tvflabs.inscryption.CustomCurrency.Tap For Black Mana",
  "tvflabs.inscryption.CustomCurrency.Tap For Red Mana",
  "tvflabs.inscryption.CustomCurrency.Tap For Green Mana"
]
```
- **C#:**
```
customCard.SetExtendedProperty("SkullsCost", "2");
customCard.SetExtendedProperty("BellsCost", "4");
customCard.SetExtendedProperty("OldBitsCost", "1");
customCard.SetExtendedProperty("ManaCost", "1ub");
customCard.SetExtendedProperty("GenericMoxCost", "true");

customCard.AddAbilities(GuidManager.GetEnumValue<Ability>("tvflabs.inscryption.CustomCurrency", "Tap for White Mana"));
customCard.AddAbilities(GuidManager.GetEnumValue<Ability>("tvflabs.inscryption.CustomCurrency", "Tap for Blue Mana"));
customCard.AddAbilities(GuidManager.GetEnumValue<Ability>("tvflabs.inscryption.CustomCurrency", "Tap for Black Mana"));
customCard.AddAbilities(GuidManager.GetEnumValue<Ability>("tvflabs.inscryption.CustomCurrency", "Tap for Red Mana"));
customCard.AddAbilities(GuidManager.GetEnumValue<Ability>("tvflabs.inscryption.CustomCurrency", "Tap for Green Mana"));
```

Note that Skulls, Bells, and OLD_BITS each support a cost of up to 13, and Mana supports a cost of up to 3 total.